org.eclipse.actf.model.dom.odf.office

## Class OfficeConstants

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.office.OfficeConstants

    public final class OfficeConstants
    extends Object

OfficeConstants defines the constant values used by office namespace of ODF DOM API

### Field Summary

Fields
`static String` `ATTR_FORMULABAR_TOGGLE`
`static String` `ATTR_FUNCTIONBAR_VISIBLE`
`static String` `ATTR_HYPERLINKBAR_TOGGLE`
`static String` `ATTR_MENUBAR_VISIBLE`
`static String` `ATTR_OBJECTBAR_VISIBLE`
`static String` `ATTR_ROW_COLUMN_HEADER_VISIBLE`
`static String` `ATTR_STATUSBAR_VISIBLE`
`static String` `ATTR_STYLE_SOURCE`
`static String` `ATTR_TITLE`
`static String` `ATTR_TOOLBAR_VISIBLE`
`static String` `ATTR_VALUE`
`static String` `ATTR_VALUE_TYPE`
`static String` `ATTR_VERSION`
`static String` `ELEMENT_AUTOMATIC_STYLES`
`static String` `ELEMENT_BODY`
`static String` `ELEMENT_CHART`
`static String` `ELEMENT_DOCUMENT_CONTENT`
`static String` `ELEMENT_DOCUMENT_STYLES`
`static String` `ELEMENT_DRAWING`
`static String` `ELEMENT_FONT_FACE_DECLS`
`static String` `ELEMENT_FORMS`
`static String` `ELEMENT_MASTER_STYLES`
`static String` `ELEMENT_PRESENTATION`
`static String` `ELEMENT_SPREADSHEET`
`static String` `ELEMENT_TEXT`
`static String` `OFFICE_NAMESPACE_URI`

### Constructor Summary

Constructors
Constructor and Description
`OfficeConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OFFICE_NAMESPACE_URI

    public static final String OFFICE_NAMESPACE_URI

See Also:
  Constant Field Values

#### ELEMENT_DOCUMENT_CONTENT

    public static final String ELEMENT_DOCUMENT_CONTENT

See Also:
  Constant Field Values

#### ELEMENT_DOCUMENT_STYLES

    public static final String ELEMENT_DOCUMENT_STYLES

See Also:
  Constant Field Values

#### ELEMENT_AUTOMATIC_STYLES

    public static final String ELEMENT_AUTOMATIC_STYLES

See Also:
  Constant Field Values

#### ELEMENT_BODY

    public static final String ELEMENT_BODY

See Also:
  Constant Field Values

#### ELEMENT_TEXT

    public static final String ELEMENT_TEXT

See Also:
  Constant Field Values

#### ELEMENT_PRESENTATION

    public static final String ELEMENT_PRESENTATION

See Also:
  Constant Field Values

#### ELEMENT_SPREADSHEET

    public static final String ELEMENT_SPREADSHEET

See Also:
  Constant Field Values

#### ELEMENT_DRAWING

    public static final String ELEMENT_DRAWING

See Also:
  Constant Field Values

#### ELEMENT_CHART

    public static final String ELEMENT_CHART

See Also:
  Constant Field Values

#### ELEMENT_FONT_FACE_DECLS

    public static final String ELEMENT_FONT_FACE_DECLS

See Also:
  Constant Field Values

#### ELEMENT_FORMS

    public static final String ELEMENT_FORMS

See Also:
  Constant Field Values

#### ELEMENT_MASTER_STYLES

    public static final String ELEMENT_MASTER_STYLES

See Also:
  Constant Field Values

#### ATTR_VERSION

    public static final String ATTR_VERSION

See Also:
  Constant Field Values

#### ATTR_VALUE_TYPE

    public static final String ATTR_VALUE_TYPE

See Also:
  Constant Field Values

#### ATTR_VALUE

    public static final String ATTR_VALUE

See Also:
  Constant Field Values

#### ATTR_STYLE_SOURCE

    public static final String ATTR_STYLE_SOURCE

See Also:
  Constant Field Values

#### ATTR_MENUBAR_VISIBLE

    public static final String ATTR_MENUBAR_VISIBLE

See Also:
  Constant Field Values

#### ATTR_OBJECTBAR_VISIBLE

    public static final String ATTR_OBJECTBAR_VISIBLE

See Also:
  Constant Field Values

#### ATTR_TOOLBAR_VISIBLE

    public static final String ATTR_TOOLBAR_VISIBLE

See Also:
  Constant Field Values

#### ATTR_FUNCTIONBAR_VISIBLE

    public static final String ATTR_FUNCTIONBAR_VISIBLE

See Also:
  Constant Field Values

#### ATTR_STATUSBAR_VISIBLE

    public static final String ATTR_STATUSBAR_VISIBLE

See Also:
  Constant Field Values

#### ATTR_ROW_COLUMN_HEADER_VISIBLE

    public static final String ATTR_ROW_COLUMN_HEADER_VISIBLE

See Also:
  Constant Field Values

#### ATTR_FORMULABAR_TOGGLE

    public static final String ATTR_FORMULABAR_TOGGLE

See Also:
  Constant Field Values

#### ATTR_HYPERLINKBAR_TOGGLE

    public static final String ATTR_HYPERLINKBAR_TOGGLE

See Also:
  Constant Field Values

#### ATTR_TITLE

    public static final String ATTR_TITLE

See Also:
  Constant Field Values

### Constructor Detail

#### OfficeConstants

    public OfficeConstants()